// Copyright 2022-2024 Ekumen, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef BELUGA_BELUGA_HPP
#define BELUGA_BELUGA_HPP

/**
 * \file
 * \brief Includes all the Beluga API.
 */

/**
 * \namespace beluga
 * \brief The main Beluga namespace
 */

#include <beluga/actions.hpp>
#include <beluga/algorithm.hpp>
#include <beluga/containers.hpp>
#include <beluga/motion.hpp>
#include <beluga/policies.hpp>
#include <beluga/primitives.hpp>
#include <beluga/random.hpp>
#include <beluga/sensor.hpp>
#include <beluga/type_traits.hpp>
#include <beluga/views.hpp>

#endif
